# Type Alias ControllerEventTypes

type ControllerEventTypes = {
"camera.update"(event: StateEvent): void;
error(error: Error): void;
"gesture.dbltap"(event: GestureEvent): void;
"gesture.fire"(event: GestureEvent): void;
"gesture.momentum"(event: GestureEvent): void;
"gesture.mousemove"(event: GestureEvent): void;
"gesture.mousewheel"(event: GestureEvent): void;
"gesture.pan"(event: GestureEvent): void;
"gesture.pinch"(event: GestureEvent): void;
"gesture.press"(event: GestureEvent): void;
"gesture.tap"(event: GestureEvent): void;
"initAnimation.end"(event: StateEvent): void;
"initAnimation.start"(event: StateEvent): void;
"intersect.update"(event: IntersectEvent): void;
"pano.arrived"(event: PanoEvent): void;
"pano.cancel"(event: PanoEvent): void;
"pano.error"(event: PanoEvent): void;
"pano.moveTo"(event: PanoEvent): void;
"pano.moving"(event: PanoEvent): void;
"pano.prepare"(event: PanoPrepareEvent): void;
"pano.request"(event: PanoEvent): void;
"pano.select"(event: PanoEvent): void;
"pano.texture.abort"(event: PanoTextureEvent): void;
"pano.texture.error"(event: PanoTextureEvent): void;
"pano.texture.load"(event: PanoTextureEvent): void;
"pano.texture.progress"(event: PanoTextureEvent): void;
"pano.texture.success"(event: PanoTextureEvent): void;
"vr.requestExit"(event: BaseEvent): void;
"xr.controller.update"(event: XRControllerEvent): void;
"xr.gesture.buttonDown"(event: XRGestureEvent): void;
"xr.gesture.buttonUp"(event: XRGestureEvent): void;
"xr.gesture.press"(event: XRGestureEvent): void;
"xr.gesture.tap"(event: XRGestureEvent): void;
"xr.session.end"(event: XRSessionEvent): void;
"xr.session.start"(event: XRSessionEvent): void;
}

- Defined in lib/five/controllers/events.ts:3

##### Index

### Methods

camera.update
error
gesture.dbltap
gesture.fire
gesture.momentum
gesture.mousemove
gesture.mousewheel
gesture.pan
gesture.pinch
gesture.press
gesture.tap
initAnimation.end
initAnimation.start
intersect.update
pano.arrived
pano.cancel
pano.error
pano.moveTo
pano.moving
pano.prepare
pano.request
pano.select
pano.texture.abort
pano.texture.error
pano.texture.load
pano.texture.progress
pano.texture.success
vr.requestExit
xr.controller.update
xr.gesture.buttonDown
xr.gesture.buttonUp
xr.gesture.press
xr.gesture.tap
xr.session.end
xr.session.start

## Methods

### camera.update

- "camera.update"(event: StateEvent): void

  相机改变

  #### Parameters

  - event: StateEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:39

### error

- error(error: Error): void

  抛出错误

  #### Parameters

  - error: Error

  #### Returns void

  - Defined in lib/five/controllers/events.ts:107

### gesture.dbltap

- "gesture.dbltap"(event: GestureEvent): void

  手势 双击屏幕

  #### Parameters

  - event: GestureEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:12

### gesture.fire

- "gesture.fire"(event: GestureEvent): void

  手势被触发

  #### Parameters

  - event: GestureEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:30

### gesture.momentum

- "gesture.momentum"(event: GestureEvent): void

  手势 惯性

  #### Parameters

  - event: GestureEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:27

### gesture.mousemove

- "gesture.mousemove"(event: GestureEvent): void

  手势 鼠标移动

  #### Parameters

  - event: GestureEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:24

### gesture.mousewheel

- "gesture.mousewheel"(event: GestureEvent): void

  手势 鼠标滚轮

  #### Parameters

  - event: GestureEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:21

### gesture.pan

- "gesture.pan"(event: GestureEvent): void

  手势 滑动屏幕

  #### Parameters

  - event: GestureEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:6

### gesture.pinch

- "gesture.pinch"(event: GestureEvent): void

  手势 双指缩放

  #### Parameters

  - event: GestureEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:18

### gesture.press

- "gesture.press"(event: GestureEvent): void

  手势 长按屏幕

  #### Parameters

  - event: GestureEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:15

### gesture.tap

- "gesture.tap"(event: GestureEvent): void

  手势 点击屏幕

  #### Parameters

  - event: GestureEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:9

### initAnimation.end

- "initAnimation.end"(event: StateEvent): void

  模态切换动画 结束

  #### Parameters

  - event: StateEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:36

### initAnimation.start

- "initAnimation.start"(event: StateEvent): void

  模态切换动画 开始

  #### Parameters

  - event: StateEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:33

### intersect.update

- "intersect.update"(event: IntersectEvent): void

  #### Parameters

  - event: IntersectEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:41

### pano.arrived

- "pano.arrived"(event: PanoEvent): void

  运动到达点位

  #### Parameters

  - event: PanoEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:59

### pano.cancel

- "pano.cancel"(event: PanoEvent): void

  取消运动点位

  #### Parameters

  - event: PanoEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:62

### pano.error

- "pano.error"(event: PanoEvent): void

  运动点位出错

  #### Parameters

  - event: PanoEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:65

### pano.moveTo

- "pano.moveTo"(event: PanoEvent): void

  运动去点位

  #### Parameters

  - event: PanoEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:53

### pano.moving

- "pano.moving"(event: PanoEvent): void

  运动点位过程

  #### Parameters

  - event: PanoEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:56

### pano.prepare

- "pano.prepare"(event: PanoPrepareEvent): void

  准备点位

  #### Parameters

  - event: PanoPrepareEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:50

### pano.request

- "pano.request"(event: PanoEvent): void

  请求点位

  #### Parameters

  - event: PanoEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:47

### pano.select

- "pano.select"(event: PanoEvent): void

  选择

  #### Parameters

  - event: PanoEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:44

### pano.texture.abort

- "pano.texture.abort"(event: PanoTextureEvent): void

  加载全景材质中止

  #### Parameters

  - event: PanoTextureEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:80

### pano.texture.error

- "pano.texture.error"(event: PanoTextureEvent): void

  加载全景材质失败

  #### Parameters

  - event: PanoTextureEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:77

### pano.texture.load

- "pano.texture.load"(event: PanoTextureEvent): void

  加载全景材质

  #### Parameters

  - event: PanoTextureEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:68

### pano.texture.progress

- "pano.texture.progress"(event: PanoTextureEvent): void

  加载全景材质进度

  #### Parameters

  - event: PanoTextureEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:71

### pano.texture.success

- "pano.texture.success"(event: PanoTextureEvent): void

  加载全景材质成功

  #### Parameters

  - event: PanoTextureEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:74

### vr.requestExit

- "vr.requestExit"(event: BaseEvent): void

  VRPanorama 请求退出

  #### Parameters

  - event: BaseEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:83

### xr.controller.update

- "xr.controller.update"(event: XRControllerEvent): void

  XR手柄更新

  #### Parameters

  - event: XRControllerEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:104

### xr.gesture.buttonDown

- "xr.gesture.buttonDown"(event: XRGestureEvent): void

  XR 手势（按钮）

  #### Parameters

  - event: XRGestureEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:101

### xr.gesture.buttonUp

- "xr.gesture.buttonUp"(event: XRGestureEvent): void

  XR 手势（按钮）

  #### Parameters

  - event: XRGestureEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:98

### xr.gesture.press

- "xr.gesture.press"(event: XRGestureEvent): void

  XR 手势（按钮）

  #### Parameters

  - event: XRGestureEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:95

### xr.gesture.tap

- "xr.gesture.tap"(event: XRGestureEvent): void

  XR 手势（按钮）

  #### Parameters

  - event: XRGestureEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:92

### xr.session.end

- "xr.session.end"(event: XRSessionEvent): void

  XR 退出

  #### Parameters

  - event: XRSessionEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:86

### xr.session.start

- "xr.session.start"(event: XRSessionEvent): void

  XR 进入

  #### Parameters

  - event: XRSessionEvent

  #### Returns void

  - Defined in lib/five/controllers/events.ts:89